Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMessageBox.ButtonRole

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMessageBox.ButtonRole

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMessageBox

    public static final class QMessageBox.ButtonRole

extends java.lang.Enum
implements QtEnumerator

This enum describes the roles that can be used to describe buttons in the button box. Combinations of these roles are as flags used to describe different aspects of their behavior.

See also:
  `StandardButton` .

See Also:
  Serialized Form

Field Summary
`static QMessageBox.ButtonRole` | `AcceptRole` Clicking the button causes the dialog to be accepted (e.g.
`static QMessageBox.ButtonRole` | `ActionRole` Clicking the button causes changes to the elements within the dialog.
`static QMessageBox.ButtonRole` | `ApplyRole` The button applies current changes.
`static QMessageBox.ButtonRole` | `DestructiveRole` Clicking the button causes a destructive change (e.g.
`static QMessageBox.ButtonRole` | `HelpRole` The button can be clicked to request help.
`static QMessageBox.ButtonRole` | `InvalidRole` The button is invalid.
`static QMessageBox.ButtonRole` | `NoRole` The button is a "No"-like button.
`static QMessageBox.ButtonRole` | `NRoles`
`static QMessageBox.ButtonRole` | `RejectRole` Clicking the button causes the dialog to be rejected (e.g.
`static QMessageBox.ButtonRole` | `ResetRole` The button resets the dialog's fields to default values.
`static QMessageBox.ButtonRole` | `YesRole` The button is a "Yes"-like button.

Method Summary
`static QMessageBox.ButtonRole` | `resolve(int value)` Returns the QMessageBox$ButtonRole constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMessageBox.ButtonRole` | `valueOf(java.lang.String name)`
`static QMessageBox.ButtonRole[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### InvalidRole

    public static final QMessageBox.ButtonRole InvalidRole

  The button is invalid.

### AcceptRole

    public static final QMessageBox.ButtonRole AcceptRole

  Clicking the button causes the dialog to be accepted (e.g. OK).

### RejectRole

    public static final QMessageBox.ButtonRole RejectRole

  Clicking the button causes the dialog to be rejected (e.g. Cancel).

### DestructiveRole

    public static final QMessageBox.ButtonRole DestructiveRole

  Clicking the button causes a destructive change (e.g. for Discarding Changes) and closes the dialog.

### ActionRole

    public static final QMessageBox.ButtonRole ActionRole

  Clicking the button causes changes to the elements within the dialog.

### HelpRole

    public static final QMessageBox.ButtonRole HelpRole

  The button can be clicked to request help.

### YesRole

    public static final QMessageBox.ButtonRole YesRole

  The button is a "Yes"-like button.

### NoRole

    public static final QMessageBox.ButtonRole NoRole

  The button is a "No"-like button.

### ResetRole

    public static final QMessageBox.ButtonRole ResetRole

  The button resets the dialog's fields to default values.

### ApplyRole

    public static final QMessageBox.ButtonRole ApplyRole

  The button applies current changes.

### NRoles

    public static final QMessageBox.ButtonRole NRoles

Method Detail

### values

    public static QMessageBox.ButtonRole[] values()

### valueOf

    public static QMessageBox.ButtonRole valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMessageBox.ButtonRole resolve(int value)

  Returns the QMessageBox$ButtonRole constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD